<!DOCTYPE html>
<html>
  <head>
    <title>JavaScript Training</title>
  </head>
  <body>
    <script type="text/javascript">
      console.log("hello html");
      var salary = 1000;
      salayIncrement = function () {
        //20  means  1000 + (1000 * (20/100)) = 1200
        increment_rate = parseInt(document.getElementById("a").value);
        var increment_amount = salary + salary * (increment_rate / 100);
        document.getElementById("output").innerHTML =
          "<br/> Increment : " + increment_amount;
      };
      addBonus = function () {
        a = parseInt(document.getElementById("a").value);
        b = parseInt(document.getElementById("b").value);

        var bonus = salary + salary * (a / 100) + b;
        document.getElementById("output").innerHTML = "Bonus:" + bonus;
        console.log(a * b);
      };

      addMoney = function () {
        a = parseInt(document.getElementById("a").value);
        b = parseInt(document.getElementById("b").value);
        money = parseInt(document.getElementById("money").value);
        
        var leave = (salary + salary * (a / 100) + b )- money ;
        document.getElementById("output").innerHTML = "Leaves :"+ leave ;
        
      };
    </script>

    <h1>Salary Calculator</h1>
    <form>
      <label> Base Salary $1000</label><br /><br />
      <input id="a" type="number" placeholder="increment percentage" name="" />
      <br /><br />
      <input id="b" type="number" placeholder="add bous " name="" />
      <br /><br />
      <input id="money" type="number" placeholder="minus salary" name="" />
      <br /><br />

      <input type="button" onclick="salayIncrement()" value="Increment" /> |
      <input type="button" onclick="addBonus()" value="Bonus" /> |
      <input type="button" onclick="addMoney()" value="Leaves" /> | <br /><br />

      Final Salary: <label id="output"></label>
    </form>
  </body>
</html>
